Crear Tarea
curl --request POST \
--url https://api.plazbot.com/api/task \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"workspaceId": "<string>",
"name": "<string>",
"description": "<string>",
"notes": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"assignedUserId": "<string>",
"contactId": "<string>"
}
'import requests
url = "https://api.plazbot.com/api/task"
payload = {
"workspaceId": "<string>",
"name": "<string>",
"description": "<string>",
"notes": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"assignedUserId": "<string>",
"contactId": "<string>"
}
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
workspaceId: '<string>',
name: '<string>',
description: '<string>',
notes: '<string>',
expirationDate: '2023-11-07T05:31:56Z',
assignedUserId: '<string>',
contactId: '<string>'
})
};
fetch('https://api.plazbot.com/api/task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": {
"taskId": "<string>",
"task": {
"id": "<string>",
"workspaceId": "<string>",
"name": "<string>",
"description": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"expirationDate": "2023-11-07T05:31:56Z",
"statusId": 123,
"notes": "<string>",
"asignedUsers": [
"<string>"
],
"projectStatusId": "<string>",
"files": [
"<string>"
],
"project": [
"<string>"
],
"subTask": [
"<string>"
],
"orderInCards": 123,
"orderInCardsLastUpdated": "2023-11-07T05:31:56Z"
}
}
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}Task
Create Task
Servicio para crear una nueva tarea en el workspace.
POST
/
api
/
task
Crear Tarea
Authorizations
Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login
Headers
Identificador del workspace
Body
application/json
Identificador del workspace
Nombre de la tarea
Descripcion de la tarea
Notas adicionales de la tarea
Fecha de vencimiento
ID del usuario asignado
ID del contacto asociado
Response
Tarea creada exitosamente
⌘I

